package com.philisense.www.license;

public class DefaultKeyStoreParam extends AbstractKeyStoreParam
{
    private final String alias;
    private final String storePwd;
    private final String keyPwd;
    
    public DefaultKeyStoreParam(final Class clazz, final String s, final String alias, final String storePwd, final String keyPwd) {
        super(clazz, s);
        this.alias = alias;
        this.storePwd = storePwd;
        this.keyPwd = keyPwd;
    }
    
    @Override
    public String getAlias() {
        return this.alias;
    }
    
    @Override
    public String getStorePwd() {
        return this.storePwd;
    }
    
    @Override
    public String getKeyPwd() {
        return this.keyPwd;
    }
}
